
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>BlogEngine.Net架构与源代码分析系列part5：对象搜索 / iVAN</title>

    <meta name="description" content="BlogEngine.Net架构与源代码分析系列part5：对象搜索 IPublishable与Search 从这篇文章开始我会引入一些领域上的知识或者给出一些参考文章来供大家阅读,我们对这些领域上的知识没有必要深挖,只要大概了解一下就可以了,这对于我们分析BlogEngine.Net会有很大的帮助.在这篇文章中我主要向大家介绍一下BlogEngine.Net的搜索部分的实现以及支持的相应标准等. 先用自己的话解释一下什么是开放搜索 开放搜索应该也是一种标准了,现在它越来越流行起来,记得我第一次见到这个东东是在codeproject中.大家一定注意到了IE7右上角">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">BlogEngine.Net架构与源代码分析系列part5：对象搜索</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>IPublishable与Search</p>
<p>从这篇文章开始我会引入一些领域上的知识或者给出一些参考文章来供大家阅读，我们对这些领域上的知识没有必要深挖，只要大概了解一下就可以了，这对于我们分析BlogEngine.Net会有很大的帮助。在这篇文章中我主要向大家介绍一下BlogEngine.Net的搜索部分的实现以及支持的相应标准等。</p>
<p>先用自己的话解释一下什么是开放搜索</p>
<p>开放搜索应该也是一种标准了，现在它越来越流行起来，记得我第一次见到这个东东是在codeproject中。大家一定注意到了IE7右上角的那个小工具栏了，</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMDk0NTMwM0kxLTAuanBn.jpg"></p>
<p>我们可以在那里选择一个搜索提供程序例如:Google，当我们输入信息回车以后就会发现页面跳转到了Google的结果页面。那么这些提供程序信息是怎么获得的呢？IE又是怎么知道要去Google的页面呢？原来是通过一个标准的XML文件，这个文件的具体格式可以参照一下codeproject的开放搜索文件http://www.codeproject.com/info/OpenSearch.xml,当把</p>
<p><code>&lt;link rel="search" type="application/opensearchdescription+xml" title="CodeProject" href="http://www.codeproject.com/info/OpenSearch.xml"&gt;&lt;/link&gt;</code></p>
<p>这种代码加入到一个Html的Head中，在浏览器打开这个Html文当时就会发觉里面的开放搜索文件，然后在那个小工具栏中增加一个提供程序，当我们在工具栏中输入信息并回车以后就可以直接跳转到相应的结果页面,可以看出这个XML文件充当着一种中间桥梁的作用。这种功能不仅需要浏览器的支持，同时也需要网站本身提供相应的支持，这就是开放搜索。这个和IE7中的Rss源发现机制很类似。</p>
<p>那么BlogEngine.Net中对于开放搜索支持是如何实现的呢</p>
<p>进入BlogEngine.Net的首页查看生成的Html源代码我们会看到</p>
<p><code>&lt;link type="application/opensearchdescription+xml" rel="search" title="Name of the blog" href="http://hostname/opensearch.axd" /&gt;,</code></p>
<p>这里请求了opensearch.axd，查看Web.config我们注意到opensearch.axd交给了BlogEngine.Core.Web.HttpHandlers.OpenSearchHandler处理，这个XML是通过一个HttpHandler来生成的。在Html源代码的Head中我们会发现很多*.axd的引用，实际上它们都是使用自定义的HttpHandler来处理的,对于这些HttpHandler我会在后续有关文章中进行说明。从OpenSearchHandler生成的XML我们可以看出，执行搜索的Url为（类似Google的处理方式）http://hostname/search.aspx?q={searchTerms},searchTerms就是输入的部分，具体的搜索由页面search.aspx调用核心层内部逻辑来完成。</p>
<p>内部逻辑的主要部分IPublishable与Search的实现分析</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 19:55:15</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e6%90%9c%e7%b4%a2/" title="搜索">搜索</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e9%a1%b5%e9%9d%a2/" title="页面">页面</a>, <a href="https://www.iamivan.net/tag/%e6%94%af%e6%8c%81/" title="支持">支持</a>, <a href="https://www.iamivan.net/tag/%e5%bc%80%e6%94%be/" title="开放">开放</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>BlogEngine.Net架构与源代码分析系列part5：对象搜索的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK77JWb.html" rel="bookmark">BlogEngine&period;Net架构与源代码分析系列part1：开篇介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近我要开始这个系列了,这是我的第一个系列.关于BlogEngine.Net我想说的是,它设计的真的很棒,代码简洁但是功能很多,真是麻雀虽小,五脏俱全啊,而且具有了很多Web2.0的特征,甚至它的每一行代码都值得我们去研究一下,它的开发团队很棒.实际上很多国外的个人Blog都是采用BlogEngine.Net加上自定义皮肤实现的,如果您是一个Blog的开发者,这更是您的必备参考! 很多兄弟都推荐BlogEngine.Net看一看,甚至www.asp.net也把它放在了很重要的位置.前一阶段我仔细			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB22ONb.html" rel="bookmark">BlogEngine&period;Net架构与源代码分析系列part8：扩展</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				DataStore分析 本系列的第四篇文章我给大家做了关于BlogEngine.Net全局配置的分析.在这篇文章里我将会对BlogEngine.Net中比较经典的部分DataStore做一个简单的分析,这个DataStore主要完成了BlogEngine.Net三大扩展特性(Extension,Widget,Theme)的数据存储部分,它提供了一个扩展特性统一的存储模型.DataStore是建立在Provider存储(本系列第三篇文章中介绍过)的上层,本文研究的内容会和后面讲到的扩展部分的文章有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY22oxp.html" rel="bookmark">BlogEngine&period;Net架构与源代码分析系列part2：业务对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				共同的父类BusinessBase 上篇文章朋友的评论给了我很大的动力写这个系列的文章,看来大家都比较关注这个系列.为了后续文章做一个铺垫,我在这篇文章的前半部分讲解一下BlogEngine.Net的整体架构,后半部分主要是对于BusinessBase类的分析. 下载源代码以后打开解决方案,我们发现从项目的组织结构上BlogEngine.Net分成两个项目:一个是BlogEngine.Core,顾名思意,它就是BlogEngine.Net的核心逻辑层.所有的业务逻辑和一些功能都在这个项目中体现,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M622noM.html" rel="bookmark">BlogEngine&period;Net架构与源代码分析系列part15：总结篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文是这个系列的总结篇,在这篇文章里,仅从我个人的角度发表一下对BlogEngine.Net的一些看法.内容包括BlogEngine.Net的优缺点,性能问题,如何阅读源代码等. 重申一下写这个系列的目的 1.使自己更加深入的理解BlogEngine.Net的架构,对BlogEngine.Net的代码能够更深刻的掌握. 2.给那些想学习BlogEngine.Net的源代码,但是不知道从何开始或者比较迷茫的朋友们一个学习指南. 3.在博客园上永远的保存下来,方便你我查看.因为这方面的资料实在太少了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNEEwob.html" rel="bookmark">BlogEngine&period;Net架构与源代码分析系列part11：开发扩展（下）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				自定义Theme 个性化的主题是一个完善的Blog系统中所必备的,同时也是一个亮点.在这篇文章里我将给大家展示一下BlogEngine.Net的第三个开发特性,那就是自定义的Theme.本文的重点放在BlogEngine.Net的开发规范和实现原理上.如果您对BlogEngine.Net的架构很了解的话,那么开发一个自己的Theme是一件很简单的事情,如果您不是很了解,那么你也可以按照本文讲述的规范开发出一个自定义的Theme来. BlogEngine.Net中的Theme 在BlogEngin			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2yyqvz.html" rel="bookmark">BlogEngine&period;Net架构与源代码分析系列part4：Blog全局设置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				BlogSettings 这已经是本系列的第四篇了,以前我多数时间是看文章,自己写起来才感觉到当博主不容易啊,所以我们无论评论也好,阅读也好,都要尊重博主的劳动成果.闲话少说,在这篇文章中我们将对BlogEngine.Net的全局配置进行一下分析与探讨.关于配置这一部分单独拿出来做一篇文章实在有些牵强,但是我总觉得这个配置部分比较独立,而且BlogEngine.Net的设计和实现都有很多可以参考的地方. 在一个企业级应用系统中,对一些系统全局参数进行配置是必不可少的,那么我们是怎么处理这些配置的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ779Db.html" rel="bookmark">BlogEngine&period;Net架构与源代码分析系列part13：实现分析（上）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				HttpHandlers与HttpModules 这已经是系列的第13篇了,实际上到现在为止您应该对BlogEngine.Net的整体设计有了一定的把握,对部分实现细节有了比较深刻的认识,在阅读BlogEngine.Net时希望坚持到最后,并把握住宏观,深入到微观.本文将详细介绍BlogEngine.Net中的HttpHandlers与HttpModules,主要说明它们要实现的功能以及如何使用,并对几个必要的HttpHandler或HttpModule进行比较细致的分析. HttpHandle			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZOOe5b.html" rel="bookmark">BlogEngine&period;Net架构与源代码分析系列part9：开发扩展（上）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Extension与管理上的实现 从这篇文章开始的连续三篇文章我将向大家展示BlogEngine.Net中的三大开发扩展特性,它们分别是Extension,Widget和Theme.程序员可以在符合一定标准条件下开发自己的扩展,然后将扩展像插件一样(Plug'n play)与BlogEngine.Net进行集成,来达到个性化的应用.本文将详细介绍第一种扩展Extension的开发标准,管理部分介绍等. 声明一下 上一篇文章的回复中有人提到希望我写一下自己的看法和BlogEngine.Net的优缺			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRyygab.html" rel="bookmark">BlogEngine&period;Net架构与源代码分析系列part7：Web2&period;0特性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Pingback&amp;Trackback 今天这篇文章主要向大家讲述一下Blog系统中应用最多的,具有Web2.0特性的,也是一种标准化的--Pingback&amp;Trackback.分析一下BlogEngine.Net提供的比较全面的Pingback&amp;Trackback支持.本文内容相对来说比较独立,如果您对整个系列感兴趣请参照这里. Pingback&amp;Trackback参考 简单地说,Pingback&amp;Trackback是博客在链接.引用其他博客内容时通知对方博客的一种			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY24GQp.html" rel="bookmark" class="title">Android开发入门（十二）列表控件 12&period;1 ListView的基本使用</a>
					<div>
						今天总结一下Android中的列表控件:ListView和Spinner. ListView可以垂直并可滑动地地显示 一些信息.下面阐述如何使用ListView显示一系列的信息. 1. 创建一个工程: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7VjDb.html" rel="bookmark" class="title">Asp&period;net 2&period;0为用户控件添加event</a>
					<div>
						使用user control的好处自不必说. 但是作为一个控件,虽然实际上其中可能包含很多控件(asp.net服务端控件),但是一旦在页面中注册使用,它就表现为一个独立的控件,也就是说在编辑阶段,其包 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ykx4z.html" rel="bookmark" class="title">&period;net操作EXCEL详解</a>
					<div>
						背景: 在项目中,需要操作EXCEL 文档,本以为是OBA的应用,但其实不然.OBA是在EXCEL中嵌入.net应用插 件,而我们则是需要在SCSF中操作EXCEL. 我大致调查了一下,主要发现3种方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0P4j0M.html" rel="bookmark" class="title">CSS3 Media Queries 详解</a>
					<div>
						说起CSS3的新特性,就不得不提到 Media Queries . 本文比较详细,所以很多实际中用不到.所以如果只是想简单了解Media Queries,推荐参考 CSS3 Media Queries ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6yxDz.html" rel="bookmark" class="title">PS制作绿色水晶玻璃文字</a>
					<div>
						  玻璃字制作的时候,我们把图层填充改为零,然后用图层样式多给文字边缘和中间区域增加高光,底部再增加一点投影,增加层次感即可.最终效果 一.打开PS软件,新建一个1024 * 768像素,分辨率为72 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7qr1M.html" rel="bookmark" class="title">CG少女绘画过程</a>
					<div>
						  第一步,画出线稿,保证型准. 第二部,上基本颜色,画完把图缩小,看看大效果,这时候,把导航器放在一边,可随时看效果 从眼睛开始,进行细节的刻画,这个过程很长,但感觉很爽 眼睛放大看,本来我想画写实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72dZXp.html" rel="bookmark" class="title">精灵KM-300怎么样</a>
					<div>
						  精灵 KM-300专业游戏套装采用全黑色设计,风格简约,KM-300键盘按键运用国际标准的104键设计,键盘薄膜电路板采用防水封胶设计,键盘清晰更方便.KM-300鼠标采用高精度光学引擎,刷新率达 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaLvAz.html" rel="bookmark" class="title">酷狗音乐怎么收藏歌曲</a>
					<div>
						  1.打开酷狗,找到&quot;网络收藏&quot;模块并进入. 2.大家请先登陆自己的酷狗账号,这样收藏的歌曲就可以云同步咯. 列表没了&quot;&gt; 3.成功登陆以后我们可以新建一个网络收 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWLx3p.html" rel="bookmark" class="title">如何删除印象笔记群聊</a>
					<div>
						  一.首先打开[印象笔记],并点击左上角[三]的图标,再点击[工作群聊]; 二.点击要进行删除的[群聊],之后点击右上角竖着的[...]图标; 三.之后点击[删除群聊],在弹出的窗口中点击[删除]即 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBPkqz.html" rel="bookmark" class="title">MAC系统下查看iTunes下载速度的方法</a>
					<div>
						MAC用户在使用iTunes下载时,只知道下载速度很慢,那么,可不可以查看iTunes的下载速度呢?这个当然是可以的,现在就和小编一起来看看具体的操作步骤吧. 解决方法: 1. 启动iTunes,随便 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAr4dep.html" rel="bookmark" class="title">各种语言执行入口的传参方法</a>
					<div>
						在操作系统中,执行程序时可以由系统传入参数,就是在执行的时候,附带上参数.比如: 1 ping www.kryptosx.info 后面跟着的网址就是ping的参数. Linux和windows的sh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJ4g6p.html" rel="bookmark" class="title">MySQL&lowbar;忘记Root密码并找回</a>
					<div>
						Mysql找回Root密码 首先,大家如果看到有什么不懂的地方,欢迎吐槽!!! 我会在当天或者第二天及时回复,并且改进~~ 一．首先确认服务器出于安全的状态,也就是没有人能够任意地连接MySQL数据库 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrP3QM.html" rel="bookmark" class="title">JavaScript的漂亮的代码片段&lowbar;javascript技巧</a>
					<div>
						 动态构建正则表达式 复制代码 代码如下:  new RegExp( Expr.match[ type ].source + (/(?![^\[]*\])(?![^\(]*\))/.source) ) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6ngjb.html" rel="bookmark" class="title">HTML5&lowbar;Canvas&lpar;2&rpar;</a>
					<div>
						context.drawImage(imageObj,destX,destY); //为某个画布贴上图片   例子: 1 2 3 4 5 6 7 8 9 10 11 12 13 window.onlo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQr9AQM.html" rel="bookmark" class="title">CSS3实现8种Loading效果【第二波】</a>
					<div>
						原文:CSS3实现8种Loading效果[第二波] 今晚吃完饭回宿舍又捣鼓了另外几种Loading效果,老规矩,直接&quot;上菜&quot;-- 注:gif图片动画有些卡顿,非实际效果! PS:若 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Y3JoM.html" rel="bookmark" class="title">常用的mysql状态查询命令show status</a>
					<div>
						show variables like 'max_connections';  show global status like 'max_used_connections';   show globa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydWK5b.html" rel="bookmark" class="title">域名投资经济的火爆</a>
					<div>
						据艾瑞市场最新研究报告显示,06年中国域名市场规模为4.1亿,预计在随后的3年里,将会保持32%左右的增长率,未来中国域名的市场规模将进一步扩大,预计到2008年中国域名市场规模可以达到7.2亿元.巨 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4AE3z.html" rel="bookmark" class="title">&lbrack;LeetCode&rsqb;89&period;Gray Code</a>
					<div>
						[题目] The gray code is a binary numeral system where two successive values differ in only one bit. Gi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlA1Gp.html" rel="bookmark" class="title">链接质量：搜索引擎优化得分的重磅</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 链接的设计在SEO中是至关重要的. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40jrPz.html" rel="bookmark" class="title">iOS的查询、过滤（NSPredicate）</a>
					<div>
						原文:http://www.2cto.com/kf/201208/150608.html 参考:http://blog.csdn.net/iscape/article/details/7318021  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqKGvb.html" rel="bookmark" class="title">移动互联网面临三大安全问题</a>
					<div>
						中国移动通信集团公司网络部处长徐海东表示,移动互联网融合新凸显的安全面临网络安全.终端安全.业务安全三方面问题.徐海东表示,移动互联网融合的安全对策可以有以下四点:一是用户对网络透明,要抓住可鉴权,可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xYJgb.html" rel="bookmark" class="title">图片-post之前怎样获取将要打开页面的VIEWSTATE</a>
					<div>
						问题描述 post之前怎样获取将要打开页面的VIEWSTATE 我要抓取方正教务系统中的课程表,但是要凭借VIEWSTATE才能post到对应班级的课程表页面, 每个班级课程表的VIEWSTATE不一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xQ8Xb.html" rel="bookmark" class="title">调查显示美国人不放心云存储个人数据</a>
					<div>
						北京时间10月25日上午消息,据国外媒体报道,网络安全咨询公司Unisys公布的美国安全指数调查显示,美国人并不放心将他们的秘密数据进行云存储,担心数据被窃是他们的头号安全顾虑.在最新的调查中,当被问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60V5Yz.html" rel="bookmark" class="title">oracle goldengate-oracle 11&period;2&period;0&period;1升级到11&period;2&period;0&period;4</a>
					<div>
						问题描述 oracle 11.2.0.1升级到11.2.0.4 SQL&gt; @?/rdbms/admin/utlu112i.sql------Miscellaneous Warnings WARN ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RDX7z.html" rel="bookmark" class="title">知道SSIS的进来</a>
					<div>
						问题描述 哪位高手有用过SSIS的,我想问的是SSIS中的那个数据类型是对应Oracle中的number类型的? 解决方案 解决方案二:都沉了帮顶!解决方案三:帮顶................解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nrw7z.html" rel="bookmark" class="title">为什么云计算需要一个完全不同的数据中心</a>
					<div>
						云计算是一种新兴的技术,但亚马逊云计算服务现在已经是价值数十亿美元的业务,根据Gartner表示,其云计算是其14个最大竞争对手总和的五倍多.亚马逊的简单存储服务(S3)存储着超过一万亿文件,每秒处理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1ND9jp.html" rel="bookmark" class="title">android图像绘制&lpar;七&rpar;ClipRect局部绘图&sol;切割原图绘制总结&lowbar;Android</a>
					<div>
						杂语:看了很多程序猿都有写博客的习惯,看来我也得练练,不管写的好不好了,学到点什么体会就写写吧. 内容解说:这几天开始学游戏地图制作,今天小小的总结一下Canvas的clipRect()接口的使用.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZrLrb.html" rel="bookmark" class="title">8个必备的PHP功能开发&lowbar;php技巧</a>
					<div>
						PHP开发的程序员应该清楚,PHP中有很多内置的功能,掌握了它们,可以帮助你在做PHP开发时更加得心应手,本文将分享8个开发必备的PHP功能,个个都非常实用,希望各位PHP开发者能够掌握.   1.传 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWAx5z.html" rel="bookmark" class="title">javascript event在FF和IE的兼容传参心得&lpar;绝对好用&rpar;&lowbar;javascript技巧</a>
					<div>
						event在IE和FF不兼容,今天传参碰到些问题,参考网上的一些方法,有所心得: aClassArray[i].onmouseover = function () { //代码直接写在里面是可以的,要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnyB8p.html" rel="bookmark" class="title">web-im没有黑名单的功能吗</a>
					<div>
						问题描述 web-im没有黑名单的功能吗?通过rest的话,我这边加入黑名单之后可以移除用户窗口,可是对面还是有,怎么操作? 解决方案 有,通过rest进行黑名单的操作.在加入黑名单的同时,对面也调用 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
